{
	"header": {
		"links": [
			{
				"label": "Profil",
				"href": "#profile"
			},
			{
				"label": "Projekte",
				"href": "#projects"
			},
			{
				"label": "Skills",
				"href": "#skills"
			},
			{
				"label": "Kontakt",
				"href": "#contact"
			}
		]
	},
	"footer": {
		"links": {
			"git": "https://gitea.fennert.org/adrian/homepage",
			"linkedin": "https://www.linkedin.com/in/adrian-fennert-b3148920a/"
		},
		"copyright": "© 2026 Adrian Fennert. Alle Rechte vorbehalten."
	},
	"profile": {
		"name": "Adrian Fennert",
		"title": "Senior Fullstack Engineer",
		"anchorId": "profile",
		"text": "Erfahrener Full-Stack Developer mit Fokus auf moderne Web-Technologien. Spezialisiert auf skalierbare Anwendungen, Teamführung und Integration komplexer Systeme. Leidenschaft für sauberen Code und benutzerzentrierte Lösungen."
	},
	"projects": {
		"title": "Projekte",
		"anchorId": "projects",
		"subtitle": "Projekte and denen ich erfolgreich mitgewirkt habe",
		"entries": [
			{
				"title": "Custom Frontend für GPT-Anwendung mit Dokumentenverwaltung",
				"description": "Entwicklung einer modernen Single-Page-Application für die interne KI-Nutzung mit umfassender Dokumentenverwaltung.",
				"taskHeadline": "Tätigkeiten",
				"tasks": "Konzeption und Implementierung benutzerspezifischer Dokument-Kollektionen, Integration von MSAL für SSO.",
				"toolsHeadline": "Tools",
				"tools": [
					"Next.JS",
					"assistant-ui",
					"Microsoft Authentication Library",
					"Typescript",
					"Model Context Protocol - MCP"
				]
			},
			{
				"title": "B2B-Customer-Portal Erweiterung",
				"description": "Erweiterung eines Portals für Produktregistrierungen und Garantieabwicklungen.",
				"taskHeadline": "Tätigkeiten",
				"tasks": "Umsetzung kundenspezifischer Prozesse, Optimierung der User Journeys in Zusammenarbeit mit Fachbereichen.",
				"toolsHeadline": "Tools",
				"tools": [
					"SAP Commerce Cloud",
					"SAP Composable Storefront",
					"Smartedit",
					"Angular",
					"Typescript"
				]
			},
			{
				"title": "Frontend Lead für B2B-Portal",
				"description": "Fachliche Führung und Entwicklung eines Customer-Portals.",
				"taskHeadline": "Tätigkeiten",
				"tasks": "Coaching des Teams, Know-how-Aufbau in Angular und Spartacus, Integration von Such- und IAM-Diensten.",
				"toolsHeadline": "Tools",
				"tools": [
					"SAP Commerce Cloud",
					"SAP Composable Storefront",
					"Smartedit",
					"Angular",
					"Typescript",
					"Keyloak",
					"Coveo"
				]
			},
			{
				"title": "Backend-Migrationen und Testframework upgrades",
				"description": "Migration von Testumgebungen und Integrations-Frameworks.",
				"taskHeadline": "Tätigkeiten",
				"tasks": "Upgrade Unit- und Integrationstests, Migration Apache Camel zu Spring Integration.",
				"toolsHeadline": "Tools",
				"tools": [
					"SAP Commerce Cloud",
					"Spring Boot",
					"Spring Integration",
					"SAP Integration Suite",
					"Typescript",
					"OData",
					"SAP ERP"
				]
			},
			{
				"title": "Storefront-Migration zu SPA",
				"description": "Rolling-Release-Migration und Neuentwicklung eines Online-Shops.",
				"taskHeadline": "Tätigkeiten",
				"tasks": "Integration Suchdienst und Headless CMS.",
				"toolsHeadline": "Tools",
				"tools": [
					"SAP Commerce Cloud",
					"Spring Boot",
					"React",
					"Next.JS",
					"Typescript",
					"Algolia",
					"Contentful"
				]
			}
		]
	},
	"skills": {
		"title": "Skills & Tools",
		"anchorId": "skills",
		"subtitle": "Meine Fähigkeiten und Werkzeuge zur Lösung individueller Probleme",
		"entries": [
			{
				"title": "Programmiersprachen",
				"icon": "code-xml",
				"items": ["Java", "JavaScript", "TypeScript", "Visual Basic", "C#", "SQL", "HTML", "CSS"]
			},
			{
				"title": "Frameworks",
				"icon": "cpu",
				"items": [
					"Spring Boot",
					"NodeJs",
					"React",
					"Angular",
					"Svelte",
					"WPF .Net",
					"Sap Commerce Cloud"
				]
			},
			{
				"title": "Meta-Frameworks",
				"icon": "layers",
				"items": ["Next.JS", "SvelteKit", "Express", "Fastify", "Sap Composable Storefront"]
			},
			{
				"title": "Datenbanken",
				"icon": "database",
				"items": ["PostgreSQL", "MariaDB", "MySQL", "SQLite", "MongoDB", "Oracle", "MS SQL"]
			},
			{
				"title": "CMS",
				"icon": "layout-template",
				"items": ["Contentful", "Strapi", "Smartedit"]
			},
			{
				"title": "Testing",
				"icon": "test-tubes",
				"items": ["JUnit", "Playwright", "Cypres"]
			},
			{
				"title": "Sicherheitslösungen",
				"icon": "shield-check",
				"items": ["Keycloak", "JWT", "OAuth2"]
			},
			{
				"title": "Entwicklungs Tools",
				"icon": "wrench",
				"items": ["Git", "Podman", "Docker", "WSL", "IntelliJ Idea", "Figma"]
			},
			{
				"title": "Restful APIs und Dokumentation",
				"icon": "file-braces-corner",
				"items": ["OpenAPI", "Swagger", "Confluence"]
			},
			{
				"title": "Methoden",
				"icon": "clipboard-check",
				"items": ["Scrum", "Kanban", "Jira"]
			},
			{
				"title": "Sonstiges",
				"icon": "sparkles",
				"items": ["SEO", "Accessibility", "KI-basierte Tools"]
			}
		]
	},
	"contact": {
		"title": "Kontakt",
		"anchorId": "contact",
		"subtitle": "Hinterlassen Sie mir eine Nachricht",
		"form": {
			"title": "Schneller Kontakt",
			"subjectPlaceholder": "Dein Name",
			"messagePlaceholder": "Deine Nachricht",
			"submit": "Email öffnen"
		}
	}
}
